Authentication
Administrator. Session/administrative writes are not executed in the public Playground.
Endpoint
curl --request GET 'https://api.oneaster.ai/core/v1/admin/users' \ --header 'Authorization: Bearer '"$ONEASTER_SESSION_TOKEN"
Parameters
- page (query, Optional): {"type":"integer","minimum":1,"maximum":1000000,"default":1}
- size (query, Optional): {"type":"integer","minimum":1,"maximum":100,"default":20}
- search (query, Optional): {"type":"string","minLength":1,"maxLength":64}
Responses
200
账号列表、版本、额度和用户名筛选
{
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"properties": {
"success": {
"const": true
},
"data": {
"type": "object",
"additionalProperties": false,
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"id": {
"type": "string",
"pattern": "^[0-9]+$"
},
"username": {
"type": "string"
},
"admin": {
"type": "boolean"
},
"enabled": {
"type": "boolean"
},
"auth_version": {
"type": "integer",
"minimum": 0
},
"routing_group": {
"type": "string"
},
"balance_micro": {
"type": "string",
"pattern": "^[0-9]+$",
"description": "整数账务单位;1 积分 = 10000 单位,1 USD = 100 积分。前端用 BigInt。"
},
"reserved_micro": {
"type": "string",
"pattern": "^[0-9]+$",
"description": "整数账务单位;1 积分 = 10000 单位,1 USD = 100 积分。前端用 BigInt。"
},
"created_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"username",
"admin",
"enabled",
"auth_version",
"routing_group",
"balance_micro",
"reserved_micro",
"created_at"
]
}
},
"total": {
"type": "string",
"pattern": "^[0-9]+$"
},
"page": {
"type": "integer",
"minimum": 0
},
"size": {
"type": "integer",
"minimum": 0
}
},
"required": [
"items",
"total",
"page",
"size"
]
}
},
"required": [
"success",
"data"
]
}
}
}
default
错误代码见 core-api.md;供应商/数据库错误已隐藏。
{
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"properties": {
"success": {
"const": false
},
"error": {
"type": "object",
"additionalProperties": false,
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"type": {
"const": "oneaster_error"
}
},
"required": [
"code",
"message",
"type"
]
},
"data": {
"type": "null"
}
},
"required": [
"success",
"error",
"data"
]
}
}
}